Ticket #293 (closed bug: fixed)

Opened 5 years ago

Last modified 5 years ago

[BUG] failure of t/native_pbc/integer.t

Reported by: mikehh Owned by: rurban
Priority: minor Milestone:
Component: none Version: trunk
Severity: low Keywords:
Cc: Language:
Patch status: applied Platform: linux

Description

Test Summary Report


t/native_pbc/integer (Wstat: 768 Tests: 3 Failed: 3)

Failed tests: 1-3
Non-zero exit status: 3

 http://smolder.plusthree.com/app/public_projects/report_details/17866

Platform linux
Architecture i386
Compiler cc
DEVEL -devel
Optimize -O2 -g
Perl Version 5.10.0 i486-linux-gnu-thread-multi
SVN Revision 36479
Version 0.9.0

svn up to r36481:

make realclean
perl Configure.pl --optimize --test
make world

prove t/native_pbc/integer.t

t/native_pbc/integer....1/3
# Failed test 'i386 32 bit opcode_t, 32 bit intval'
# at t/native_pbc/integer.t line 69.
# Exited with error code: 1
# Received:
# Unknown PMC type to thaw 0
#
# Expected:
# 270544960
# May need to regenerate t/native_pbc/integer_1.pbc; read test file
t/native_pbc/integer....2/3
# Failed test 'PPC BE 32 bit opcode_t, 32 bit intval'
# at t/native_pbc/integer.t line 82.
# Exited with error code: 1
# Received:
# Unknown PMC type to thaw 0
#
# Expected:
# 270544960
# May need to regenerate t/native_pbc/integer_2.pbc; read test file
# Failed test 'x86_64 double float 64 bit opcode_t'
# at t/native_pbc/integer.t line 96.
# Exited with error code: 1
# Received:
# Unknown PMC type to thaw 0
#
# Expected:
# 270544960
# May need to regenerate t/native_pbc/integer_3.pbc; read test file
# Looks like you failed 3 tests of 3.
t/native_pbc/integer.... Dubious, test returned 3 (wstat 768, 0x300)

Failed 3/3 subtests

Michael

Attachments

47940+tt293-mk_native_pbc-pod.patch Download (1.0 KB) - added by rurban 5 years ago.

Change History

Changed 5 years ago by mikehh

Following the instructions in the test file I created a new i.pbc file and copied it to t/native_pbc/integer_1.pbc and the first test passed. I then copied it to t/native_pbc/integer_2.pbc and t/native_pbc/integer_3.pbc. The three tests then passed.

./parrot -o i.pbc -a - <<EOF

print 0x10203040
end
EOF

./pbc_dump -h i.pbc
HEADER => [

wordsize = 4 (interpreter's wordsize/INTVAL = 4/4)
byteorder = 0 (interpreter's byteorder = 0)
floattype = 0 (interpreter's NUMVAL_SIZE = 8)
parrot-version 0.9.0, bytecode-version 3.34
UUID type = 0, UUID size = 0
no endianize, no opcode, no numval transform
dirformat = 1

]

prove t/native_pbc/integer.t
t/native_pbc/integer....ok
All tests successful.
Files=1, Tests=3, 0 wallclock secs ( 0.04 usr 0.00 sys + 0.11 cusr 0.03 csys = 0.18 CPU)
Result: PASS

a listing of the directory t/native_pbc/ before the changes is as follows:

-rwxr-xr-x 1 mhk mhk 2089 2009-01-29 09:14 header.t*
-rw-r--r-- 1 mhk mhk 832 2009-01-30 03:23 integer_1.pbc
-rw-r--r-- 1 mhk mhk 800 2009-01-31 19:24 integer_2.pbc
-rw-r--r-- 1 mhk mhk 1328 2009-01-31 19:24 integer_3.pbc
-rw-r--r-- 1 mhk mhk 368 2009-01-29 09:14 integer_4.pbc
-rw-r--r-- 1 mhk mhk 3076 2009-02-08 14:57 integer.t
-rw-r--r-- 1 mhk mhk 2592 2009-02-04 00:42 number_1.pbc
-rw-r--r-- 1 mhk mhk 2592 2009-01-31 19:24 number_2.pbc
-rw-r--r-- 1 mhk mhk 4656 2009-02-04 00:42 number_3.pbc
-rw-r--r-- 1 mhk mhk 2304 2009-01-29 09:14 number_4.pbc
-rw-r--r-- 1 mhk mhk 2304 2009-01-29 09:14 number_5.pbc
-rw-r--r-- 1 mhk mhk 3793 2009-02-08 14:57 number.t
-rw-r--r-- 1 mhk mhk 1248 2009-01-30 03:23 string_1.pbc
-rw-r--r-- 1 mhk mhk 272 2009-01-29 09:14 string_2.pbc
-rw-r--r-- 1 mhk mhk 1350 2009-01-30 03:23 string.t

and the three changed files:

-rw-r--r-- 1 mhk mhk 800 2009-02-09 02:13 integer_1.pbc
-rw-r--r-- 1 mhk mhk 800 2009-02-09 02:13 integer_2.pbc
-rw-r--r-- 1 mhk mhk 800 2009-02-09 02:13 integer_3.pbc

Note: The files sizes after the change are the same but not before

moritz stated that the tests passed on his linux i386 system at r36480

I am not sure where to go from here. I can generate a patch for these files, but I am not certain if this is valid or if I had something wrong on my system.

All I can say is that the tests passed when I ran them at r36416 on Saturday and failed at r36479 on Sunday.

Cheers,

Michael

Changed 5 years ago by rurban

  • status changed from new to assigned
  • priority changed from normal to minor
  • severity changed from medium to low
  • owner set to rurban

Thanks, I'm aware of it.

The native_pbc tests will most likely fail on DEVEL versions or svn checkout's. That's a known limitation.

I'll TODO those tests, along with better documentation.

Changed 5 years ago by rurban

  • patch set to new

Done in the 47940-mk_native_pbc.patch attached to RT #47940

Changed 5 years ago by rurban

The updated docs/project/release_manager_guide.pod is attached as 47940+tt293-mk_native_pbc-pod.patch

Please review.

Changed 5 years ago by rurban

Changed 5 years ago by jkeenan

Still failing for me on Linux/i386 at r36518:

Test Summary Report
-------------------
t/native_pbc/integer                    (Wstat: 768 Tests: 3 Failed: 3)
  Failed tests:  1-3
  Non-zero exit status: 3

Changed 5 years ago by rurban

  • status changed from assigned to closed
  • resolution set to fixed
  • patch changed from new to applied

Should be fixed by r36553.

Note: See TracTickets for help on using tickets.